| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# AlgToolHistory Class Reference

`#include <AlgToolHistory.h>`

Inheritance diagram for AlgToolHistory:

[legend]
Collaboration diagram for AlgToolHistory:

[legend]

List of all members.

## Detailed Description

AlgToolHistory class definition.

Author:
  : Charles Leggett

Definition at line 23 of file AlgToolHistory.h.

## Public Types
typedef std::vector< Property * > | PropertyList
## Public Member Functions
| AlgToolHistory (const AlgTool &alg, const JobHistory *job)
| AlgToolHistory (const std::string &algVersion, const std::string &algName, const std::string &algType, const AlgTool *tool, const PropertyList &props, const JobHistory *job)
virtual | ~AlgToolHistory ()
virtual const CLID & | clID () const
| Retrieve reference to class definition structure.
const std::string & | algtool_type () const
const std::string & | algtool_version () const
const std::string & | algtool_name () const
const AlgTool * | algtool_instance () const
const PropertyList & | properties () const
## Static Public Member Functions
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access).
## Private Attributes
std::string | m_type
std::string | m_version
| Version number.
std::string | m_name
const AlgTool * | m_tool
PropertyList | m_properties
const JobHistory * | m_jobHistory

## Member Typedef Documentation

typedef std::vector<Property*> AlgToolHistory::PropertyList

Definition at line 28 of file AlgToolHistory.h.

## Constructor & Destructor Documentation

AlgToolHistory::AlgToolHistory | ( | const AlgTool & | alg,
|  | const JobHistory * | job |
| ) |  |  |

Definition at line 23 of file AlgToolHistory.cpp.

    00024 :
    00025   m_type(alg.type()),
    00026   m_version("UNKNOWN"),
    00027   m_name(alg.name()),
    00028   m_tool( &alg ),
    00029   m_properties(alg.getProperties()),
    00030   m_jobHistory(job)
    00031 {
    00032 }

AlgToolHistory::AlgToolHistory | ( | const std::string & | algVersion,
|  | const std::string & | algName,
|  | const std::string & | algType,
|  | const AlgTool * | tool,
|  | const PropertyList & | props,
|  | const JobHistory * | job |
| ) |  |  |

Definition at line 36 of file AlgToolHistory.cpp.

    00041                                                      :
    00042   m_type(algType),   // FIXME type_info???
    00043   m_version(algVersion),
    00044   m_name(algName),
    00045   m_tool(tool),
    00046   m_properties(props),
    00047   m_jobHistory(job)
    00048 {}

virtual AlgToolHistory::~AlgToolHistory | ( |  | ) | `[inline, virtual]`

Definition at line 62 of file AlgToolHistory.h.

    00062 {};

## Member Function Documentation

virtual const CLID& AlgToolHistory::clID | ( |  | ) | const`[inline, virtual]`

Retrieve reference to class definition structure.

Retrieve Pointer to class definition structure.

Reimplemented from HistoryObj.

Definition at line 65 of file AlgToolHistory.h.

    00065 { return classID(); }

const CLID & AlgToolHistory::classID | ( |  | ) | `[static]`

Retrieve reference to class definition structure (static access).

Retrieve Pointer to class definition structure.

Reimplemented from HistoryObj.

Definition at line 52 of file AlgToolHistory.cpp.

    00052                                     {
    00053
    00054   static CLID CLID_AlgToolHistory = 171959758;   // from `clid AlgToolHistory`
    00055   return CLID_AlgToolHistory;
    00056
    00057 }

const std::string& AlgToolHistory::algtool_type | ( |  | ) | const`[inline]`

Definition at line 69 of file AlgToolHistory.h.

    00069 { return m_type; }

const std::string& AlgToolHistory::algtool_version | ( |  | ) | const`[inline]`

Definition at line 72 of file AlgToolHistory.h.

    00072 { return m_version; }

const std::string& AlgToolHistory::algtool_name | ( |  | ) | const`[inline]`

Definition at line 75 of file AlgToolHistory.h.

    00075 { return m_name; }

const AlgTool* AlgToolHistory::algtool_instance | ( |  | ) | const`[inline]`

Definition at line 78 of file AlgToolHistory.h.

    00078 { return m_tool; }

const PropertyList& AlgToolHistory::properties | ( |  | ) | const`[inline]`

Definition at line 81 of file AlgToolHistory.h.

    00081 { return m_properties; }

## Member Data Documentation

std::string AlgToolHistory::m_type`[private]`

Definition at line 33 of file AlgToolHistory.h.

std::string AlgToolHistory::m_version`[private]`

Version number.

Reimplemented from DataObject.

Definition at line 36 of file AlgToolHistory.h.

std::string AlgToolHistory::m_name`[private]`

Definition at line 39 of file AlgToolHistory.h.

const AlgTool* AlgToolHistory::m_tool`[private]`

Definition at line 42 of file AlgToolHistory.h.

PropertyList AlgToolHistory::m_properties`[private]`

Definition at line 45 of file AlgToolHistory.h.

const JobHistory* AlgToolHistory::m_jobHistory`[private]`

Definition at line 48 of file AlgToolHistory.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/AlgToolHistory.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/src/Lib/AlgToolHistory.cpp